.btn-default {
  color: c(g, 6);
  background-color: #fff;
  border-color: c(g, 5);
}
.btn-default:hover,
.btn-default:focus,
.btn-default:active,
.btn-default.active,
.open > .dropdown-toggle.btn-default {
  color: c(g, 7);
  background-color: c(g, 1);
  border-color: c(g, 6);
}
.btn-default.disabled,
.btn-default[disabled],
fieldset[disabled] .btn-default,
.btn-default.disabled:hover,
.btn-default[disabled]:hover,
fieldset[disabled] .btn-default:hover,
.btn-default.disabled:focus,
.btn-default[disabled]:focus,
fieldset[disabled] .btn-default:focus,
.btn-default.disabled:active,
.btn-default[disabled]:active,
fieldset[disabled] .btn-default:active,
.btn-default.disabled.active,
.btn-default[disabled].active,
fieldset[disabled] .btn-default.active {
  background-color: #fff;
  border-color: #bdbdbd;
}
.btn-default .badge {
  color: #fff;
  background-color: c(g, 6);
}
.btn-primary {
  color: #fff;
  background-color: c(f, 7);
  border-color: c(f, 7);
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
  color: #fff;
  background-color: darken(c(f, 7), 7.5%);
  border-color: darken(c(f, 7), 7.5%);
}
.btn-primary.disabled,
.btn-primary[disabled],
fieldset[disabled] .btn-primary,
.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary:hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
fieldset[disabled] .btn-primary:focus,
.btn-primary.disabled:active,
.btn-primary[disabled]:active,
fieldset[disabled] .btn-primary:active,
.btn-primary.disabled.active,
.btn-primary[disabled].active,
fieldset[disabled] .btn-primary.active {
  background-color: c(f, 7);
  border-color: c(f, 7);
}
.btn-primary .badge {
  color: c(f, 7);
  text-shadow: none;
  background-color: #fff;
}
.btn-success {
  color: #fff;
  background-color: c(v, 6);
  border-color: c(v, 6);
}
.btn-success:hover,
.btn-success:focus,
.btn-success:active,
.btn-success.active,
.open > .dropdown-toggle.btn-success {
  color: #fff;
  background-color: darken(c(v, 6), 7.5%);
  border-color: darken(c(v, 6), 7.5%);
}
.btn-success.disabled,
.btn-success[disabled],
fieldset[disabled] .btn-success,
.btn-success.disabled:hover,
.btn-success[disabled]:hover,
fieldset[disabled] .btn-success:hover,
.btn-success.disabled:focus,
.btn-success[disabled]:focus,
fieldset[disabled] .btn-success:focus,
.btn-success.disabled:active,
.btn-success[disabled]:active,
fieldset[disabled] .btn-success:active,
.btn-success.disabled.active,
.btn-success[disabled].active,
fieldset[disabled] .btn-success.active {
  background-color: c(v, 6);
  border-color: c(v, 6);
}
.btn-success .badge {
  color: c(v, 6);
  text-shadow: none;
  background-color: #fff;
}
.btn-info {
  color: #fff;
  background-color: c(b, 7);
  border-color: c(b, 7);
}
.btn-info:hover,
.btn-info:focus,
.btn-info:active,
.btn-info.active,
.open > .dropdown-toggle.btn-info {
  color: #fff;
  background-color: darken(c(b, 7), 7.5%);
  border-color: darken(c(b, 7), 7.5%);
}
.btn-info.disabled,
.btn-info[disabled],
fieldset[disabled] .btn-info,
.btn-info.disabled:hover,
.btn-info[disabled]:hover,
fieldset[disabled] .btn-info:hover,
.btn-info.disabled:focus,
.btn-info[disabled]:focus,
fieldset[disabled] .btn-info:focus,
.btn-info.disabled:active,
.btn-info[disabled]:active,
fieldset[disabled] .btn-info:active,
.btn-info.disabled.active,
.btn-info[disabled].active,
fieldset[disabled] .btn-info.active {
  background-color: c(b, 7);
  border-color: c(b, 7);
}
.btn-info .badge {
  color: darken(c(b, 7), 7.5%);
  text-shadow: none;
  background-color: #fff;
}
.btn-warning {
  color: #fff;
  background-color: c(o, 7);
  border-color: c(o, 7);
}
.btn-warning:hover,
.btn-warning:focus,
.btn-warning:active,
.btn-warning.active,
.open > .dropdown-toggle.btn-warning {
  color: #fff;
  background-color: darken(c(o, 7), 7.5%);
  border-color: darken(c(o, 7), 7.5%);
}
.btn-warning.disabled,
.btn-warning[disabled],
fieldset[disabled] .btn-warning,
.btn-warning.disabled:hover,
.btn-warning[disabled]:hover,
fieldset[disabled] .btn-warning:hover,
.btn-warning.disabled:focus,
.btn-warning[disabled]:focus,
fieldset[disabled] .btn-warning:focus,
.btn-warning.disabled:active,
.btn-warning[disabled]:active,
fieldset[disabled] .btn-warning:active,
.btn-warning.disabled.active,
.btn-warning[disabled].active,
fieldset[disabled] .btn-warning.active {
  background-color: c(o, 7);
  border-color: c(o, 7);
}
.btn-warning .badge {
  color: c(o, 7);
  text-shadow: none;
  background-color: #fff;
}
.btn-danger {
  color: #fff;
  background-color: c(r, 8);
  border-color: c(r, 8);
}
.btn-danger:hover,
.btn-danger:focus,
.btn-danger:active,
.btn-danger.active,
.open > .dropdown-toggle.btn-danger {
  color: #fff;
  background-color: darken(c(r, 8), 7.5%);
  border-color: darken(c(r, 8), 7.5%);
}
.btn-danger.disabled,
.btn-danger[disabled],
fieldset[disabled] .btn-danger,
.btn-danger.disabled:hover,
.btn-danger[disabled]:hover,
fieldset[disabled] .btn-danger:hover,
.btn-danger.disabled:focus,
.btn-danger[disabled]:focus,
fieldset[disabled] .btn-danger:focus,
.btn-danger.disabled:active,
.btn-danger[disabled]:active,
fieldset[disabled] .btn-danger:active,
.btn-danger.disabled.active,
.btn-danger[disabled].active,
fieldset[disabled] .btn-danger.active {
  background-color: c(r, 8);
  border-color: c(r, 8);
}
.btn-danger .badge {
  color: c(r, 8);
  text-shadow: none;
  background-color: #fff;
}

.navbar-default .navbar-nav > li > a.btn-soutenir,
.btn-soutenir {
  color: #fff !important;
  background: c(j, 8) linear-gradient(30deg, c(j, 7), c(j, 6));
  border-color: c(j, 7);
}
.navbar-default .navbar-nav > li > a.btn-soutenir:hover,
.navbar-default .navbar-nav > li > a.btn-soutenir:focus,
.navbar-default .navbar-nav > li > a.btn-soutenir:active,
.btn-soutenir:hover,
.btn-soutenir:focus,
.btn-soutenir:active,
.btn-soutenir.active,
.open > .dropdown-toggle.btn-soutenir {
  color: #fff;
  background: darken(c(j, 8), 7.5%) linear-gradient(30deg, darken(c(j, 7), 7.5%), darken(c(j, 6), 7.5%));
  border-color: darken(c(j, 7), 10%);
}

.btn-link {
  font-weight: normal;
  cursor: pointer;
  border-radius: 0;
  color: c(d, 9);
  text-decoration: none;

  &:hover, &:focus {
    color: c(g, 9);
    text-decoration: underline;
    background-color: transparent;
  }
}

.btn-link .badge {
  color: #fff;
  text-shadow: none;
  background-color: c(g, 7);
}
